"""myproj URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/2.0/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.contrib import admin
from django.urls import path
from django.contrib.auth import views as auth_views

from myapp import views as myapp_views


urlpatterns = [
    path('admin/', admin.site.urls),

    path('', myapp_views.profile, name='profile'),
    path('login/', auth_views.login, {'template_name': 'login.html'}, name='login'),
    path('logout/', auth_views.logout, {'next_page': 'login'}, name='logout'),
    path('signup/', myapp_views.signup, name='signup'),
    path('students/', myapp_views.students, name='students'),
    path('student/<int:sid>/', myapp_views.student, name='student'),
    path('add/<int:sid>/<slug:cid>/', myapp_views.add, name='add'),
    path('drop/<int:sid>/<slug:cid>/', myapp_views.drop, name='drop'),
    path('grade/<int:sid>/<slug:cid>/<int:grade>/', myapp_views.grade, name='grade'),
    path('courses/', myapp_views.courses, name='courses'),
    path('course/<slug:cid>/', myapp_views.course, name='course'),
]
